clc

clear all
close all

stepx = 250;
stepy = 100;
stepxlow = stepx;
stepylow = stepy;

direc = '/Users/stefanocorradin/Stefano/Research/leverage/JMCB-HouseholdLeverage#09-451/MatlabStataFigures/Figure10_data/';

ccxomG = load(strcat(direc,'ccxomG.dat'));
ccxrentG = load(strcat(direc,'ccxrG.dat'));

ccxomGma = reshape(ccxomG,stepx,stepy);
ccxrentGma = reshape(ccxrentG,stepx,stepy);

wmin = 0;
wmax = 250;
hw = wmax/stepx;
w = wmin + hw:hw:wmax;

beg = 1;
edd = 150;
figure(1)
pp = plot(w(beg:edd),ccxomGma(beg:edd,50),'-',w(beg:edd),ccxrentGma(beg:edd,50),'--')
axis([0 150 0 40])
set(pp,'Color','Black','Linewidth',1)
xlab = xlabel('$$ A $$');
set(xlab,'Interpreter','latex')
ylab = ylabel('$$ C^h(A,P,0) $$');
set(ylab,'Interpreter','latex')
leg = legend('$$Owning $$','$$ Renting $$');
set(leg,'Interpreter','latex')