clc

clear all
close all

stepx = 250;
stepy = 100;
stept = 6000;

direc = '/Users/stefanocorradin/Stefano/Research/leverage/JMCB-HouseholdLeverage#09-451/MatlabStataFigures/Figure9_data/';

CumProbCollegeB = load(strcat(direc,'CumProbCollegeB.dat'));
CumProbCollegeBtheta = load(strcat(direc,'CumProbCollegeBtheta.dat'));
CumProbCollegeBthetaphi = load(strcat(direc,'CumProbCollegeBthetaphi.dat'));

le = length(CumProbCollegeB);

dtime = 1/12;
timevec = dtime:dtime:dtime*360;

starty = 1;
endy = le;

figure(1)
pp =  plot(timevec(starty:endy),CumProbCollegeB,'-.',...
    timevec(starty:endy),CumProbCollegeBtheta,'-',...
    timevec(starty:endy),CumProbCollegeBthetaphi ,':')

set(pp,'Color','Black','Linewidth',1)
axis([0 30 0 4.5])
xlab = xlabel('Years');
set(xlab,'Interpreter','latex')
ylab = ylabel('Probability (percentage)');
set(ylab,'Interpreter','latex')
leg = legend('$$LTV = 93\%, \theta^{l \to h} = 0.4467, \phi =   0.5597 $$', ...
    '$$LTV = 91.45\%, \theta^{l \to h} = 0.2233, \phi =   0.5597 $$',...
    '$$LTV = 90.25\%, \theta^{l \to h} = 0.2233, \phi =   0.3977$$',0);
set(leg,'Interpreter','latex')



