clc

clear all
close all

stepx = 250;
stepy = 100;
stept = 6000;

direc1 = '/Users/stefanocorradin/Stefano/Research/leverage/JMCB-HouseholdLeverage#09-451/CPlusMatlab_Code/BenchParam_College_CumProbDef_Figure4/mup167vol10/ltv93/';

PDomG = load(strcat(direc1,'PDomG.dat'));
PDomB = load(strcat(direc1,'PDomB.dat'));
CumprobG = load(strcat(direc1,'PDtimeiterG.dat'));
CumprobB = load(strcat(direc1,'PDtimeiterB.dat'));

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

T = 30;
Months = 12;
stept = T*Months;
dt = 1/Months;
timevec = dt:dt:T;

figure(1)
plot(timevec(1:end-1),CumprobG(1:end-2),'-',timevec(1:end-1),CumprobB(1:end-1),'--')
legend('Labor income - high regime','Labor income - low regime' )
xlabel('Years')
ylabel('Probability')