clc
clear all
close all

direc = '/Users/stefanocorradin/Stefano/Research/leverage/Ccode/Thirdround/RefereeA/MaintenanceTaxes/volatility/college/mup167vol10/';
mat_1 = load(strcat(direc,'ltv90/output.mat'));
mat_2 = load(strcat(direc,'ltv925/output.mat'));
mat_3 = load(strcat(direc,'ltv93/output.mat'));
mat_4 = load(strcat(direc,'ltv935/output.mat'));
mat_5 = load(strcat(direc,'ltv95/output.mat'));
mat_6 = load(strcat(direc,'ltv99/output.mat'));

matresults = zeros(6,4);

% 1 column - Down Payment
% 2 column - 1st Percentile of Indirect Utility
% 3 column - Mean of Indirect Utility
% 4 column - 99th Percentile of Indirect Utility

for n = 1:6
   
    eval(['matresults(n,1:4) = mat_' num2str(n) '.matres(1,1:4);'])
    
end


[id,jd] = max(matresults(:,3));

disp('**********************   Optimal Downpayment   **********************************')
fprintf('Down payment = %f\n',matresults(jd,1) );
fprintf('Average - V = %f\n',matresults(jd,3));
