clc

clear all
close all

stepx = 250;
stepy = 100;
stept = 6000;

direc = '/Users/stefanocorradin/Stefano/Research/leverage/JMCB-HouseholdLeverage#09-451/MatlabStataFigures/Figure8_data/';

CumProbCollegeB = load(strcat(direc,'CumProbCollegeB.dat'));
CumProbCollegeBthetahl = load(strcat(direc,'CumProbCollegeBthetahl.dat'));
CumProbHsB = load(strcat(direc,'CumProbHsB.dat'));
CumProbHsBthetahl = load(strcat(direc,'CumProbHsBthetahl.dat'));

le = length(CumProbCollegeB);

dtime = 1/12;
timevec = dtime:dtime:dtime*360;

starty = 1;
endy = le;


figure(1)
pp =  plot(timevec(starty:endy),CumProbCollegeB,'-.',...
    timevec(starty:endy),CumProbCollegeBthetahl,'-',...
    timevec(starty:endy),CumProbHsB(1:end-1),'--',...
    timevec(starty:endy),CumProbHsBthetahl,':')

set(pp,'Color','Black','Linewidth',1)
axis([0 30 0 4])
xlab = xlabel('Years');
set(xlab,'Interpreter','latex')
ylab = ylabel('Probability (percentage)');
set(ylab,'Interpreter','latex')
leg = legend('College low regime - $$LTV = 93\%, \theta^{l \to h} = 0.4467$$', ...
    'College low regime - $$LTV = 91.45\%, \theta^{l \to h} = 0.2233$$',...
    'High school low regime - $$LTV = 92.5\%, \theta^{l \to h} = 0.4172$$', ...
    'High school low regime - $$LTV = 91\%, \theta^{l \to h} = 0.2086$$',0);
set(leg,'Interpreter','latex')





